Package icyllis.modernui.widget

# Interface AbsListView.OnScrollListener

Enclosing class:
  `AbsListView`

public static interface AbsListView.OnScrollListener
Interface definition for a callback to be invoked when the list or grid has been scrolled.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SCROLL_STATE_FLING`
  The user had previously been scrolling using touch and had performed a fling.
  `static final int`
  `SCROLL_STATE_IDLE`
  The view is not scrolling.
  `static final int`
  `SCROLL_STATE_TOUCH_SCROLL`
  The user is scrolling using touch, and their finger is still on the screen

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onScroll(AbsListView view, int firstVisibleItem, int visibleItemCount, int totalItemCount)`
  Callback method to be invoked when the list or grid has been scrolled.
  `void`
  `onScrollStateChanged(AbsListView view, int scrollState)`
  Callback method to be invoked while the list view or grid view is being scrolled.

- ## Field Details

  - ### SCROLL_STATE_IDLE

    static final int SCROLL_STATE_IDLE
    The view is not scrolling. Note navigating the list using the trackball counts as being in the idle state since these transitions are not animated.
    See Also:
      - Constant Field Values

  - ### SCROLL_STATE_TOUCH_SCROLL

    static final int SCROLL_STATE_TOUCH_SCROLL
    The user is scrolling using touch, and their finger is still on the screen
    See Also:
      - Constant Field Values

  - ### SCROLL_STATE_FLING

    static final int SCROLL_STATE_FLING
    The user had previously been scrolling using touch and had performed a fling. The animation is now coasting to a stop
    See Also:
      - Constant Field Values

- ## Method Details

  - ### onScrollStateChanged

    void onScrollStateChanged(AbsListView view, int scrollState)
    Callback method to be invoked while the list view or grid view is being scrolled. If the view is being scrolled, this method will be called before the next frame of the scroll is rendered. In particular, it will be called before any calls to `Adapter.getView(int, View, ViewGroup)`.
    Parameters:
      `view` - The view whose scroll state is being reported
      `scrollState` - The current scroll state. One of `SCROLL_STATE_TOUCH_SCROLL` or `SCROLL_STATE_IDLE`.

  - ### onScroll

    void onScroll(AbsListView view, int firstVisibleItem, int visibleItemCount, int totalItemCount)
    Callback method to be invoked when the list or grid has been scrolled. This will be called after the scroll has completed
    Parameters:
      `view` - The view whose scroll state is being reported
      `firstVisibleItem` - the index of the first visible cell (ignore if visibleItemCount == 0)
      `visibleItemCount` - the number of visible cells
      `totalItemCount` - the number of items in the list adapter